// StTrgDisplayView.h
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_STTRGDISPLAYVIEW_H__AA66B498_1AC9_4223_843A_2D15ED2829D9__INCLUDED_)
#define AFX_STTRGDISPLAYVIEW_H__AA66B498_1AC9_4223_843A_2D15ED2829D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CStTrgDisplayView : public CScrollView
{
protected:
	CStTrgDisplayView();
	DECLARE_DYNCREATE(CStTrgDisplayView)

public:
	CStTrgDisplayDoc* GetDocument();

public:

	//{{AFX_VIRTUAL(CStTrgDisplayView)
	public:
	virtual void OnDraw(CDC* pDC);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

public:
	virtual ~CStTrgDisplayView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	void UpdateStatusBar();

protected:
	//{{AFX_MSG(CStTrgDisplayView)
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	afx_msg LRESULT OnExposureEnd(WPARAM, LPARAM);
	afx_msg LRESULT OnTransferEnd(WPARAM, LPARAM);
	afx_msg LRESULT OnRcvError(WPARAM, LPARAM);
	afx_msg LRESULT OnPropertyDialogDestroyed(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG 
inline CStTrgDisplayDoc* CStTrgDisplayView::GetDocument()
   { return (CStTrgDisplayDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_STTRGDISPLAYVIEW_H__AA66B498_1AC9_4223_843A_2D15ED2829D9__INCLUDED_)
